Bug 107310 - Formula cell with hybrid cell token mis-calculates to #VALUE!
Summary: Formula cell with hybrid cell token mis-calculates to #VALUE!
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.0.3 release
Hardware: All All
: medium normal
Assignee: Kohei Yoshida
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-04-21 01:50 UTC by Kohei Yoshida
Modified: 2017-04-25 12:53 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
test document (7.64 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-04-21 01:51 UTC, Kohei Yoshida
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kohei Yoshida 2017-04-21 01:50:25 UTC
Description:
A formula cell that references another cell that has hybrid cell token as its result sometimes mis-calculates to #VALUE!.

Steps to Reproduce:
1. Open the test document.
2. Type in 1 to B16 after the document is loaded.
3. See #VALUE! in B18.

Actual Results:  
B18 displays #VALUE!.

Expected Results:
B18 displays 1.


Reproducible: Always

User Profile Reset: 

Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Kohei Yoshida 2017-04-21 01:51:05 UTC
Created attachment 132726 [details]
test document
Comment 2 Kohei Yoshida 2017-04-21 01:51:54 UTC
It's a regression from Bug 96475.
Comment 3 Kohei Yoshida 2017-04-21 02:02:34 UTC
I'm looking into this right now.
Comment 4 Commit Notification 2017-04-24 23:50:19 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7c80ea40fab3cb8e8893d14e80e7bb7f63f0dbb0

tdf#107310: hybrid cell is a value cell as well as a string cell.

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-04-24 23:50:54 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e4f28aea21ce7e8f960cc2062f83715549be215e

tdf#107310: add unit test for this.

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Kohei Yoshida 2017-04-25 01:31:58 UTC
backport to 5.3: https://gerrit.libreoffice.org/#/c/36917/
Comment 7 Commit Notification 2017-04-25 12:35:18 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ee86d223b8e6b5d164e96e6169a9d1f145081a1e&h=libreoffice-5-3

tdf#107310: hybrid cell is a value cell as well as a string cell.

It will be available in 5.3.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Kohei Yoshida 2017-04-25 12:53:39 UTC
I'll mark this fixed now.